import { BoxProps } from '@mui/material';
import { LOGIN_PROVIDER } from '../Util/constant';
declare function ProviderIcon({ provider, ...rest }: {
    provider?: (typeof LOGIN_PROVIDER)[keyof typeof LOGIN_PROVIDER] | 'wallet-web';
} & BoxProps): import("react/jsx-runtime").JSX.Element | null;
declare const _default: import('react').MemoExoticComponent<typeof ProviderIcon>;
export default _default;
